Name:           megacli-addon
Version:        1.0
Release:        1%{?dist}
Summary:        megacli support scripts

Group:          System Environment/Base
BuildArch:	noarch
License:        Free
#URL:            
Source0:        megaraid-parse.awk
Source1:        megaraid-cron.sh
Source2:        megaraid-cli.sh
Source3:	MEGACLI.BTA.TXT

#BuildRequires:  
Requires:       MegaCli

%description
Support scripts for the MegaCli tools for LSI RAID cards.
Provided are:
 - a cron script to check the RAID health
 - a script to parse the MegaCli output
 - a cli helper for common commands


%prep
#%s e tup -n
rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}


%build
#% c onfigure
#m a ke %{?_smp_mflags}
cp %{SOURCE3} .


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d ${RPM_BUILD_ROOT}
install -m 755 -d %{buildroot}/%{_sbindir}
install -m 755 -t %{buildroot}/%{_sbindir}/ %{SOURCE0}
install -m 755 -t %{buildroot}/%{_sbindir}/ %{SOURCE1}
# Also install into /etc/crond.daily
install -m 755 -d %{buildroot}/etc/cron.daily/
install -m 755 -t %{buildroot}/etc/cron.daily/ %{SOURCE1}
install -m 755 -t %{buildroot}/%{_sbindir}/ %{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc MEGACLI.BTA.TXT
/%{_sbindir}/megaraid-*
/etc/cron.daily/megaraid-cron.sh


%changelog
* Tue Jun 25 2013 Bussi Andrea <bussi@mfn.unipmn.it> - 1.0-1
- Initial Version

